
%global meadversion 7.5.1
%global namedversion 7.5.1.Final-redhat-3
%global meadalpha .Final_redhat_3
%global meadrel .1
%global serial 2

%global fullreltag %{meadalpha}
%if "%{?rhel}" != "6"
%global _mavenpomdir /usr/share/maven2/poms
%endif
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 7.5.1.Final-redhat-3

Name:             jboss-as-osgi
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          JBoss AS OSGi Config Admin Module
Group:            Development/Libraries

%if %with mead
Source102: jboss-as-osgi-jta-7.5.1.Final-redhat-3.pom
Source103: jboss-as-osgi-jta-7.5.1.Final-redhat-3.jar
Source104: jboss-as-osgi-jta-7.5.1.Final-redhat-3-sources.jar
Source105: jboss-as-osgi-7.5.1.Final-redhat-3.pom
Source106: jboss-as-osgi-web-7.5.1.Final-redhat-3.jar
Source107: jboss-as-osgi-web-7.5.1.Final-redhat-3-sources.jar
Source108: jboss-as-osgi-web-7.5.1.Final-redhat-3.pom
Source109: jboss-as-osgi-jmx-7.5.1.Final-redhat-3.pom
Source110: jboss-as-osgi-jmx-7.5.1.Final-redhat-3.jar
Source111: jboss-as-osgi-jmx-7.5.1.Final-redhat-3-sources.jar
Source112: jboss-as-osgi-jpa-7.5.1.Final-redhat-3-sources.jar
Source113: jboss-as-osgi-jpa-7.5.1.Final-redhat-3.jar
Source114: jboss-as-osgi-jpa-7.5.1.Final-redhat-3.pom
Source115: jboss-as-osgi-naming-7.5.1.Final-redhat-3.jar
Source116: jboss-as-osgi-naming-7.5.1.Final-redhat-3.pom
Source117: jboss-as-osgi-naming-7.5.1.Final-redhat-3-sources.jar
Source118: jboss-as-osgi-integration-7.5.1.Final-redhat-3.pom
Source119: jboss-as-osgi-launcher-7.5.1.Final-redhat-3-sources.jar
Source120: jboss-as-osgi-launcher-7.5.1.Final-redhat-3.jar
Source121: jboss-as-osgi-launcher-7.5.1.Final-redhat-3.pom
Source122: jboss-as-osgi-http-7.5.1.Final-redhat-3.pom
Source123: jboss-as-osgi-http-7.5.1.Final-redhat-3.jar
Source124: jboss-as-osgi-http-7.5.1.Final-redhat-3-sources.jar
%endif

License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as

BuildArch:        noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:    jpackage-utils

Requires:         jpackage-utils
Requires:         java

%description
This package contains the JBoss AS OSGi Config Admin Module.

%prep

%build

%install
# JARs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jbossas
cp -p %{_sourcedir}/%{name}-http-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-http.jar
cp -p %{_sourcedir}/%{name}-http-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-http-sources.jar
cp -p %{_sourcedir}/%{name}-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jmx.jar
cp -p %{_sourcedir}/%{name}-jmx-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jmx-sources.jar
cp -p %{_sourcedir}/%{name}-jpa-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jpa.jar
cp -p %{_sourcedir}/%{name}-jpa-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jpa-sources.jar
cp -p %{_sourcedir}/%{name}-jta-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jta.jar
cp -p %{_sourcedir}/%{name}-jta-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-jta-sources.jar
cp -p %{_sourcedir}/%{name}-naming-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-naming.jar
cp -p %{_sourcedir}/%{name}-naming-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-naming-sources.jar
cp -p %{_sourcedir}/%{name}-web-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-web.jar
cp -p %{_sourcedir}/%{name}-web-%{namedversion}-sources.jar $RPM_BUILD_ROOT%{_javadir}/jbossas/%{name}-web-sources.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 %{_sourcedir}/%{name}-http-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-http.pom
install -pm 644 %{_sourcedir}/%{name}-jmx-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jmx.pom
install -pm 644 %{_sourcedir}/%{name}-jpa-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jpa.pom
install -pm 644 %{_sourcedir}/%{name}-jta-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-jta.pom
install -pm 644 %{_sourcedir}/%{name}-naming-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-naming.pom
install -pm 644 %{_sourcedir}/%{name}-web-%{namedversion}.pom $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jbossas-%{name}-web.pom

# DEPMAP
%add_maven_depmap JPP.jbossas-%{name}-http.pom jbossas/%{name}-http.jar
%add_maven_depmap JPP.jbossas-%{name}-jmx.pom jbossas/%{name}-jmx.jar
%add_maven_depmap JPP.jbossas-%{name}-jpa.pom jbossas/%{name}-jpa.jar
%add_maven_depmap JPP.jbossas-%{name}-jta.pom jbossas/%{name}-jta.jar
%add_maven_depmap JPP.jbossas-%{name}-naming.pom jbossas/%{name}-naming.jar
%add_maven_depmap JPP.jbossas-%{name}-web.pom jbossas/%{name}-web.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*


%changelog
* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-2.Final_redhat_3.1
- EAP 6.4.1 CR3

* Thu May 07 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-1.Final_redhat_2.1
- EAP 6.4.1 CR2

* Fri Mar 27 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-8.Final_redhat_21.1
- EAP 6.4.0 CR2

* Thu Mar 12 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-7.Final_redhat_20.1
- EAP 6.4.0 CR1

* Wed Feb 25 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-6.Final_redhat_19.1
- EAP 6.4.0 ER3

* Thu Feb 05 2015 Hui Wang <huwang@redhat.com> - 7.5.0-5.Final_redhat_18.1
- EAP 6.4.0 ER2

* Thu Jan 08 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-4.Final_redhat_17.1
-

* Tue Dec 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-3.Final_redhat_15.1
-

* Tue Nov 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-2.Final_redhat_12.1
-

* Wed Sep 24 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- EAP 6.4.0 DR3

* Tue Sep 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.1-2.Final_redhat_3.1
- EAP 6.3.1 CR2 Rebuild

* Wed Aug 27 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.1-1.Final_redhat_2.1
- EAP 6.3.1 CR1 Rebuild

* Mon Jul 14 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-13.Final_redhat_19.1
- EAP 6.3.0 ER10

* Thu Jul 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-12.Final_redhat_18.1
- EAP 6.3.0 ER9

* Thu Jul 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-11.Final_redhat_18.1
- EAP 6.3.0 ER9

* Wed Jun 18 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-10.Final_redhat_17.1
- EAP 6.3.0 ER8

* Thu Jun 05 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-9.Final_redhat_15.1
- EAP 6.3.0 ER7

* Wed Jun 04 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-8.Final_redhat_14.1
- EAP 6.3.0 ER6

* Tue May 20 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-7.Final_redhat_13.1
- EAP 6.3.0 ER5

* Wed May 07 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-6.Final_redhat_12.1
- EAP 6.3.0 ER4

* Thu Apr 17 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-5.Final_redhat_10.1
- EAP 6.3.0 ER2 respin

* Tue Apr 15 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-4.Final_redhat_9.1
- EAP 6.3.0 ER2

* Thu Apr 03 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-3.Final_redhat_8.1
- EAP 6.3.0 ER1 new commitId

* Wed Apr 02 2014 Dustin Kut Moy Cheung <dcheung@redhat.com> - 7.4.0-2.Final_redhat_7.1
- Rebuild for EAP 6.3.0 ER1

* Fri Mar 28 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-x.Final_redhat_61.1
- EAP 6.3.0 ER1

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Mon Oct 07 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-3.Final_redhat_8.1
- EAP 6.2.0 ER5

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Mon Sep 23 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-1.Final_redhat_4.2
- EAP 6.2.0 ER2

* Wed Aug 21 2013 Permaine Cheung <pcheung@redhat.com> - 7.2.1-7.Final_redhat_10
- EAP 6.1.1 ER7

* Tue Aug 13 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-4.Final_redhat_8
- EAP 6.1.1 ER5

* Tue Jul 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_5
- EAP 6.1.1 ER4

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_4
- EAP 6.1.1 ER3

* Thu May 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-8.Final_redhat_8
- EAP 6.1.0 ER8

* Wed May 08 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Tue Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Mar 15 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_3
- EAP 6.1.0 ER3

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> 7.2.0-1
- Wrap new osgi artifacts for EAP 6.1.0

